Bug 115938 - Opening a Style dialog's Borders tab adds Shadow properties to the property set in the style
Summary: Opening a Style dialog's Borders tab adds Shadow properties to the property s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-22 17:28 UTC by Mike Kaganski
Modified: 2019-01-25 06:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-02-22 17:28:19 UTC
Opening a Style (Character or Paragraph) dialog's Borders tab adds Shadow properties to the property set in the style (visible on the Organizer tab).

The shadow size is 100 twips by default. When the Borders tab is opened, the shadow size is shown as 0,18 cm; then on reading back, this arrives as 102 twips, and wrongly detected as modified wrt initial; so the properties are added to the style. It's impossible to remove these settings from the style afterwards.
Comment 1 Mike Kaganski 2018-02-22 17:50:47 UTC
https://gerrit.libreoffice.org/50196
Comment 2 Commit Notification 2018-02-23 06:16:06 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b37a46fdf91dbc66f6ddc1c070aec70716d94a01

tdf#115938: Properly detect shadow size control's changed state

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.